2020-10-13 8.6.1发布
首次安装设置管理员账号页面增加用户名检测功能
后台部分功能增加强制性文件验证流程
修复前台手册面包屑不随内容变更的问题
修复前台手册页面展开收起异常的问题
修复前台第三方登陆无法解除绑定的问题
修复移动端手册目录跳转异常的问题
修复后台表单列表显示答案不对的问题
修复后台表单复制没有复制选项内容的问题
修复部分版本无法正常升级到最新版本的问题
修复部分影响用户体验的问题

2020-08-11 8.6发布
前台幻灯片区块新增底部指示器功能
前台导航区块中有子导航的父导航新增点击跳转功能
后台站点-安全模块下新增操作日志功能
后台大量模块新增记录操作日志功能
后台文章、视频等模块编辑页面新增保存并预览功能
后台素材和附件在多站点模式下按照站点名称进行分目录存储
后台各页面的弹窗不能通过点击其他地方直接隐藏了
后台的富文本编辑器取消过滤功能
后台添加用户后不再自动检索该用户了
修复前台文章内容中含有序号时显示不全的BUG
修复前台顶部区块显示两个搜索栏的BUG
修复前台顶部区块自定义状态下显示代码的BUG
修复前台手册页面二维码显示不出来的BUG
修复后台素材类目在非admin.php入口下的BUG
修复后台文章类目在非admin.php入口下的BUG

2020-07-24 8.5发布
新增主题安装时候的兼容性提示
新增富文本编辑器的模板功能
新增手册分享链接的功能
新增素材分类管理的功能
新增素材检索功能
新增每个布局可以单独设置分栏设置的功能
调整文章视频区块的样式
调整前台产品属性的显示顺序
调整前台全文搜索的搜索方式
修复富文本编辑器点击部分按钮黑屏的BUG
修复富文本编辑器某些时候不显示菜单的BUG
修复富文本编辑器插入视频无法播放的BUG
修复后台设置CSS和设置JS全屏下的样式错误
升级富文本编辑器中的百度地图插件
修复部分使用BUG

2020-07-14 8.4发布
支持将文章以特定模板推送到微信公众号素材库
产品名由蝉知改为ZSITE
修复部分影响用户体验度的BUG

2020-05-05 8.3发布
微信小程序增加会员功能
微信小程序增加购物车功能
微信小程序增加购买支付功能
优化前台订单留言页面的样式
优化后台文章等模块设置JS、CSS的全屏效果
现在开始表单设计的时候可以设置此字段是否在统计页面展示
现在开始可以设置区块内容是否在新窗口打开
现在开始登陆页面自动聚焦用户名输入框
现在开始加黑回帖的同时会删除此帖子
现在开始加黑用户的同时可以删除此用户的部分数据了
现在开始后台网络设置不同语言下共用一个配置了
现在开始网站头部区块自定义功能更好用了
修复网站头部区块自定义右栏时候的BUG
修复后台留言不显示用户手机邮箱信息的BUG
修复区块列表中视频表单区块不显示的BUG
修复分组权限新增分组按钮不显示的BUG
修复其他BUG

2020-04-07 8.2发布
增加文章内容中图片的放大预览功能
调整前台手册的加载模式
前台手册新增键盘左右按键翻页功能
前台手册全屏状态新增当前手册全文检索功能
优化前台手册全屏状态下的样式
优化前台手册章节树样式
修复缩略图无法重新生成的BUG
修复设计区块中无法正常添加视频区块的BUG
修复其他BUG

2020-03-23 8.1发布
调整站点的导航栏
将LOGO和幻灯片分成两个模块展示
优化前台部分页面在某些浏览器的抖动问题
调整后台整体的配色方案
调整后台控制台的区块展示
优化后台右下角的蝉知LOGO
功能模块中添加案例模块方便开启和关闭
修复开启必须登陆设置后 微信登陆无法使用的BUG
修复部分BUG

2020-03-11 8.0.1发布
提高后台授权页面用户体验度

2019-10-28 8.0发布
后台页面全面改版
新增订单概览功能
新增蝉知授权功能
调整文章等模块的布局功能
优化部分界面的用户体验
修复部分BUG

2019-02-22 7.7发布
优化移动端我的订单页面
优化移动端积分详情页面
优化移动端我的消息页面
优化移动端我的订单页面
优化移动端我的主题页面
优化移动端我的回帖页面
优化移动端产品购买与支付页面
优化移动端手册相关页面
优化移动端论坛相关页面
优化移动端评论相关页面
优化移动端留言页面
修复繁体语言下无法设置布局的问题
修复https协议访问后台报错
增强RSS功能支持文章、单页和产品的订阅
kindeditor编辑器支持video标签

2019-02-13 7.6.1发布
兼容PHP5.4之前版本数组定义形式
优化评论及留言区域展示样式

2019-01-25 7.6发布
优化移动端首页
优化移动端默认区块样式
优化移动端用户中心相关页面
优化移动端文章相关页面
优化移动端产品相关页面
优化移动端订单相关页面
优化移动端购物车相关页面
优化移动端地址管理功能
优化其他移动端页面
修复文件上传问题
修复微信公众号菜单同步问题
修复模板编辑功能中博客相关模板无法编辑问题

2019-01-03 7.5发布
新增手机浏览器中调用微信h5支付的功能
视频可以直接上传啦，不一定非得使用外部视频
修复文章中间位置直接粘贴图片出现乱码的问题
修复部分浏览器无法播放后台上传的视频的问题

2018-10-12 7.4.1发布
回复前台可视化编辑入口
修复模板编辑功能无法编辑博客页面问题

2018-10-10 7.4发布
增加熊掌号功能
优化后台左侧导航样式
编辑器切换回kindeditor
优化后台设计模块的界面
修复文章转帖子不成功bug
优化前台设备类型判断逻辑
新增置顶到期后刷新缓存并更新文章的置顶状态的功能
修复随机区块的设置功能
后台论坛设置添加发帖验证选项，增加必须绑定微信才能发帖的限制
实现微信绑定功能
优化搜索功能，去除搜索结果里面搜索词后面的空格
对微信中购买产品支付页面支付宝支付选项进行了优化
会员列表增加排序功能
添加区块导航到设计的子菜单
导入主题和待导入主题包合并成一个页面
修复手机端发帖功能
站点开启会员邮箱绑定后，没有绑定邮箱的会员不能进行发帖和回帖操作
如果设置了https访问，后台微信的接入网址应该使用https协议

2018-09-04 7.3发布
兼容微信小程序插件
优化黑名单用户登录时的提示
优化在线升级脚本
区块恢复删除功能
后台权限维护中增加收款的权限
修复会员批量删除报错的bug
修复幻灯片首次上传图片失败的bug
修复二级目录下幻灯片引用素材的问题
修复编辑器使用html方式编辑保存后不生效的问题
修复购买产品后产品库存数量不减少的bug
修复域名默认访问协议为https时跳转异常的bug
修复切换为个人博客模式后备案编号的链接失效的bug
修复博客设置转帖来源网址后前台展示为空的问题

2018-08-10 7.2发布
集成微信支付功能
集成微信登录功能
优化后台设计模块功能
新增组合区块
2018-06-11 7.1发布
前台用户触发安全规则后给予提示
后台操作时Ueditor放宽对标签的限制
CDN资源增加https协议的
蝉知增加对 php7.2版本的支持。
会员注册增加验证码支持
优化静态文件引用的版本标识
管理员登录状态下浏览前台的强制刷新缓存
移动端登录前台-个人信息-邮箱设置页面提示错误
反馈回复的时候会出现全屏的弹窗
前台可视化编辑添加区块出现滚动条但无法滚动
文章设置别名后，在文章类目-链接中填写设置的文章别名无法访问
后台自动安装插件提示下载的文件不完整
后台开启CDN，清理缓存，前台源代码，没有查看到cdn资源地址
语言设置、地址类型设置不生效
自定义CSS/JS代码超出字段长度问题
上传素材时，同名文件无法上传
蝉知搜索菜单显示优化
移动端无法播放视频
博客详情页面，取消“订阅博客”区块的布局，界面还是显示。
xampp一键安装包安装主题后无法显示图片
后台-推广-统计-关键词，页面显示异常
添加php区块的时候录入汉字展示有问题
（移动模板）底部导航设置弹出窗口方式，显示会有异常。
7.0.1版本，推广-统计-关键词，点击报错。
ios无法播放视频
密码中带有特殊字符无法登录
微信分享，没有图片
自定义页面与站点口号的ID一致

2018-04-17 7.0.1发布
修复后台添加自定义区块ueditor编辑器不能正常使用的问题。
修复头部区块左栏自定义内容换行问题。
修复最新文章里面置顶区块没有判断时间的问题。
添加区块界面必填项标识优化。
修复手机端开放登录错误。

2018-3-14 7.0发布
实现了移动端文章分类区块收起的功能
优化了判断webserver是否启用压缩的功能
给全局和局部置顶操作增加设置颜色和加粗的功能
给置顶操作增加设置置顶时间的功能
延长错误提示消失的时间
如果不需要写config文件，不再验证my.php的写权限
增加了去掉微博挂件的功能
修改官网api通讯接口的agent
论坛中最新主题列表按最近回复时间排序。
优化会员邮箱的验证方式
修复HtmlPurifier的错误警告
注册成功或登录成功后，可以自动跳转到相关页面
给产品列表增加默认显示开关
优化了file-uploadFile方法，给返回数据增加url
优化了产品标题和图片的对齐方式
解决了在查看蝉知网页源代码时，代码中包含大量空白换行的问题
处理了开启微博登录后，在https协议站点中提示错误信息的问题
解决了导航下拉菜单位置显示错位的问题
在创建文章后，可以跳转到创建文章之前选择的类目下
在后台安装插件时，可以显示授权的内容
处理了后台导航js报错的问题
修复了论坛新建主题和编辑主题时的编辑器功能不同的问题
修复了后台导入特效时报错的问题
修复了在移动模板下购买产品时，弹出的地址页面无法关闭的问题
打了蝉知国际版的包
使用video.js播放视频
修复了文章分类展开的时候区块高度没有按照需要加长的问题
解决了在蝉知官网后台发布视频时提示undefined的问题
处理了6.6.1在线升级6.7时功能异常的问题
解决了蝉知插件安装无法拷贝文件的问题
解决了禅道官网搜索的bug
解决了全文搜索时带有-搜索不到相关结果的问题
处理了蝉知github上面的pull request
优化流量统计程序的锁表现象
调整了前台论坛版块浏览切换按钮的样式
更换了内容的编辑器

2017-2-7 6.7.1发布
修复可视化无法拖动的问题
在后台登录时，语言选项可正常切换
前台文章区块中，在文章标题过长时正常显示置顶按钮
修复重新生成缩略图的功能
修复后台导入特效的bug
在用户中心，优化个人信息页面
解决文章上一条、下一条SQL查询慢的问题
全文检索带有 - 可以搜索到相关结果
在开放登录页面，过滤录入数据前后的空格
修复文章列表页面，图片正常排序的bug
移动模板下,增加论坛[最新主题]和[置顶主题]的页面
将source-js和source-css的命名，改为.css和.js命名
解决raintpl语法结构中与js代码里面的}}冲突的问题。
调整raintpl结构，在调用对象的方法时可以不输出
给排序用到的时间字段和状态字段添加必要的索引
解决windows系统素材编辑中文名称出错的问题

2017-12-21 6.7发布 
使用raintpl标签体系重构前台模板
给raintpl提供{@function}标签
优化html代码的tidy美化功能
在找回密码时可以正确提示
修复英文状态下后台-首页-反馈区块，无法收到前台留言信息的bug
修复登录界面没有忘记密码按钮的bug
修复在专业版1.5.2中全文检索，更新索引异常的问题
修复后台重建索引的问题，在前台可以成功搜索论坛中帖子的标题
同时打开2个蝉知页面，一个点击登录，另一个页面刷新，跳转正常
后台-安全-网站浏览，开启需要登录，前台登录页面可以正常显示
在全文检索如果搜索内容比较长时，样式可以显示正常
修复图片水印，选择的颜色不生效的bug
上传logo时不加水印

2017-11-22 6.6.1发布
处理晦涩的三元运算嵌套代码
在没有安装GD库时提示安装，并增加一个帮助链接
处理错误日志
将默认的博客列表数量改为10
删除网站头部自定义页眉的id
解决文章按照时间和热度排序不生效的问题
后台在文章附件中上传的音视频，文章详情中可以显示
优化文章列表页面动图的显示
评论留言按钮文字将保存改为提交
优化后台留言评论的展示，已经有回复的反馈信息不再重复显示
修复回复自己未审核通过的评论，评论内容不显示的bug
js和css输出增加缓存时间信息
判断图片类型的逻辑时用getimagesize实现
主题导入的时候用纯php代码代替finfo_open
导入主题后，正确显示主题包
导入主题时提示用户加密环境
解决导出主题时因判断路径有问题素材被删除的问题
修改主题页面中的报错提示
简化后台安全验证的机制
搜索时不显示隐藏的帖子
修复搜索结果为手册文章时链接不对的bug
手册内容设置为非必填项
修复开放登录回调地址出错的问题
用户可以设置默认的论坛首页
最新主题页面转移的帖子源帖子不显示
优化回帖之后的交互
优化标志设置页面的编辑按钮样式
优化最新产品区块的显示样式
解决产品属性多，排版会出现异常的问题
从布局页点击编辑区块时使区块显示js，css标签
解决编辑幻灯片时选择素材库图片不生效的问题
解决移动模版前台会员中心我的订单页面取消订单不生效的问题
解决当后台管理员取消开放登录权限时，设置发信功能菜单就会被隐藏的问题
修复视音频勾选自动播放不生效的bug

2017-09-26 6.6发布
将能够用php判断输出的js和css资源使用php合并输出
整体的html输出尝试使用tidy扩展整理
将前端的模板转移到system/template
编辑器添加视频窗口调整
视频显示调用video.js播放器
增加最新手册区块
手册增加分页功能
补齐缺少的移动模板
增加gz输出选项，减少文档体积
论坛提供最新帖子和置顶帖子显示界面
调整前台评论留言的样式
调整前后台蝉知标志字体的大小
文章详情里面的上一个下一个控制宽度
修复三个安全漏洞
安装的时候判断是否支持pathinfo增加超时判断
升级的时候忽略非蝉知的表
升级过程中，遇到已经存在表或字段的提示语句，可以继续执行后面的语句
修复github登录bug
修复评显示问题

2017-08-28 6.5发布
修改附件和图片的读取方式
修复博客设置了类目从当前开始之后首页显示的类目列表错误的问题
最新文章区块设置显示类目简称，但是类目不显示的问题
最新产品区块的样式问题
蝉知设置-站点-语言设置，异常
站点语言全部为空时的提示信息需要优化
后台管理员列表排版变形
富文本编辑器图片的文件空间，功能异常
图片加水印，设置动态图片免加水印
获取邮箱验证码按钮优化显示
邮箱认证，每次都提示三分钟内不重复发邮件
多站点模式下移动模板设置的问题
后台添加会员页面，做必填项标识
手机端后台界面-布局管理-全部页面，框有重叠
附件拖拽排序时弹窗会发生位置变化
提交投稿信息（视频）正常，但是当前台用户编辑视频不显示的问题
文章详情，下一篇、上一篇文章数量与后台不对应
后台-布局管理-全部页面-banner，布局区块，设置宽度不生效
图片水印位置设置问题，小于水印大小的图片不加水印
最新产品区块中显示价格选项自动选中
手册左侧列表出现横向滚动条的问题
后台微信会员显示的登录时间不对
手机模板产品详情界面购买按钮没有检查库存
管理员登录后台发布内容时放松对post表单信息的过滤
面议的产品联系我们放在立即购买的位置

2017-08-07 6.4.1发布
修复图片资源路径的问题
修复文章内容显示多余空行的问题
修复前台视频被过滤掉的问题
修复音频标签被过滤掉的问题
修复设置产品价格设置为面议后无法取消的问题

2017-07-27 6.4发布
后台左侧导航条背景增加蝉知的标志
站点地图完善内容，增加手册文章、产品、论坛主题列表
优化订单支付结果处理
调整会员登录页面样式
前台拼装关键词的时候使用分隔符
产品列表的标题价格显示可以做成配置
产品上传图片的时候提示用户上传的大小
产品的价格可以设置为面议
优化发送验证码体验
后台手册列表文章加预览功能
处理搜索信息无法打开下一页的问题
优化布局侧边栏区块显示的宽度问题
处理二级目录幻灯片图片存储路径的问题
调整后台商城订单操作栏的宽度
支持移动端发帖换行
处理可视化编辑无法添加内容的问题
处理论坛区块无法从多个板块进行查询的问题
后台权限设置增加论坛审核

2017-06-28 6.3.beta发布
修改loadModel改为单例模式,提升性能 
修改框架中getCSS和getJS方法，当extensionLevel等于0时，返回的数据不正确
修改框架里面createLink的判断有问题的bug。
提供集中的参数过滤功能 
提供基础的文件上传模块 
将修复bug和安全等问题的新框架合并到禅知

2017-06-02 6.2发布
实现随机内容区块
导航可以设置展开的方式
将登录表单作为一个区块
将留言表单作为一个区块
提供百度统计的区块
编辑手册文章或者章节的时候可以选择其所属的手册
优化前台手册左侧目录导航滚动区域高度的计算
手册设置别名之前检查是否重复
手册可以将类目或者文章设置为草稿状态
手册类目和文章增加跳转功能
前台投稿的文章可以转到手册中
后台文章列表显示作者，草稿标志放在标题前面
优化下多类目文章区块显示时所属类目的判断
商品标题和价格对齐
图片水印设置功能页面调整样式
图片水印下载的字体改为开源字体
微信的消息增加邮件通知站长的功能
富文本编辑器编辑链接，target默认是新开窗口
右上角的登录链接带referer
导入主题时提示用户完整导入的含义
导出主题的时候连同特效附件一块导出
可视化编辑的时候显示元素的id和class
后台首页调用api的时候，根据协议不同调用不同的地址
解决删除用户时没有删除oauth数据，导致重新注册失败的问题
检查安装的时候做递归检查，检查tmp目录下面的子目录的权限
类目、文章、产品布局可以恢复默认布局
后台权限分组增加维护类目的权限设置
将设置设备setDevice方法增加加到权限分组中
解决搜索匹配图片不对的问题
解决后台流量统计只填写结束日期是会重复重定向
激活微信的时候检查是否有openssl模块
图片排序列表页面重新排版
如果是管理员登录后台发帖时放松对post表单信息的过滤
后台保存数据的时候对全局变量进行过滤
重新设计蝉知小图标

2016-04-10 6.1发布
开放登录增加facebook和github的登录
论坛后台版块设置添加是否开启讨论模式选项
发帖和编辑帖子的时候可以设定是否使用讨论模式
根据版块和帖子的设定，显示回帖为讨论模式
实现图片水印参数配置功能
上传图片后自动添加水印
实现批量生成水印的功能
前台订单提供申请退款的功能
后台商城订单提供退款操作
论坛回复的时候支持引用功能
将订阅博客设置为区块，可以选择将订阅博客的链接放在导航的右侧
文章、博客、商品图片增加排序功能
文章详情里面的图片可以查看大图
博客和文章列表页面可以设定主题图片的位置和大小
博客列表设置是否显示类目信息
注册时增加网站用户使用协议
移动模板网站头部做成区块
移动版本设置底部导航不显示
前台处理主题或者回帖的时候记录历史
附件增加批量删除功能
维护文章、产品的时候可以设置其颜色
后台外观重置，提醒重置内容为全部外观设置
文章、产品列表增加根据时间、热度排序的功能
调整默认的文章列表区块的图片的大小
优化下最新产品区块的模板代码
优化移动版本手册的样式
优化pathinfo的判断逻辑
将微信设置菜单直接放到设置下
调整邮件的验证模板
修复二级目录安装，首页404的bug
修复后台设计主题管理内移动主题打印的预览图路径不正确的问题
微信公众号用户记录join和last时间使用系统时间
修复微信的回复不显示的问题
修复英文版后台语言版本切换不起作用的问题

2016-2-15 6.0发布
增加支持wordpress模板的功能
增加在线升级和安装的功能
增加备份可以加备注和保留的功能
增加删除关键词的功能
优化前台列表置顶文章的样式
增加产品区块设置价格和浏览次数是否显示的功能
优化数据库结构以兼容IPv6
修复上传文件权限错误的问题
修复反馈模块中通过和删除反馈失效的问题
修复产品模块依赖于会员模块的问题

2016-2-6 5.7发布
优化手机浏览器支付宝支付流程
优化主题插件包和素材上传功能，改用文件上传插件
优化设计模块中桌面和移动模板的切换按钮样式
增加头部区块页眉右栏可以自定义的功能
增加用户名敏感词过滤和禁止使用的用户名
合并后台留言，评论和回复为留言
增加论坛回帖之后回到最新的发贴处的功能
优化前台文章区块列表宽度的计算
优化后台发布文章、产品、博客时没有分类的跳转界面
移除洋葱登录相关功能
移除QQ开放登录网站验证设置
移除在线主题自动安装的功能
调整后台首页调用api的时候，可以根据协议不同调用不同的地址
调整pc模板的评论和留言的样式
调整会员设置菜单和积分设置菜单的位置
调整站点地图页面，增加文章列表
调整附件管理计算无效文件的方法
调整商城订单检索标签，增加已收获标签
调整后台首页增加和编辑区块的样式
增加英文版外观设置，颜色生效的位置的说明
修复后台菜单自定义，在没有选择选项时保存返回错误的问题
修复后台语言切换跳转问题
修复后台订单详情界面点击发货保存无反应的问题
修复附件上传没有读取php环境的参数的问题
修复最新产品区块加载时会先竖排排列然后变为横排的问题
修复文章上传附件大于2M，提示成功但附件列表不显示的问题
修复html源码区块包含textarea标签时会导致编辑的textarea标签提前结束的问题
修复来路域名里面包含本站的问题
修复后台列表操作菜单在英文下的宽度不合理的问题
修复英文下面的快捷链接区块里的条目的宽度不一致的问题
修复英文安装界面下面导入demo数据出错的问题

2016-12-28 5.6发布
增加蝉知社区绑定、认证功能
增加我的特效界面
增加特效导入功能
增加整站附件管理功能
优化后台文章、产品附件管理界面，增加批量上传功能
增加主题可以先手工上传，然后再导入功能
后台安全过滤黑名单按照时间先后排序
优化全文搜索搜索英文的结果
优化文章类目的维护页面
调整产品和文章详情页面样式
调整区块编辑的编辑器菜单样式
修复搜索流量中来自google的流量计算不准确的问题
修复开启缓存后页面显示的文章访问量没有更新的问题
修复发布产品类目不是必填项的问题
修复内容发布页面，标题框不对齐问题
修复开放登录后编辑账户信息提示身份验证过期的问题
修复宽屏主题最新产品区块，产品名称很长时会把价格显示不正常的问题
修复导入主题页面的样式问题
修复关闭移动模板功能
修复编辑模板功能
修复手机模板购物车产品数据无法修改，产品名称排列变形问题
修复投稿文章内容里的图片不会自动加入到文章图片列表内的问题
修复登录页面，口号和网站标题换行的问题
修复论坛类目设置为只读，依然可以发帖回帖的问题
修复后台分页没有选择排序方式的时候点击翻页生成的url地址
修复get访问类型下文章阅读量没有刷新的问题
修复手册手机模板无法正常显示手册目录的问题
修复关闭语言功能
修复后台商品订单分页数量的问题
修复IE8注册界面
修复站点类型为博客时，搜索结果页面错误
修复文章类目编辑子类目，保存后左侧不能列出子类目错误
修复选择从简体转换繁体后，后台繁体文章编辑保存后会消失的问题

2016-11-15 5.5发布
增加文章，产品，单页，手册详情页面缓存
增加后台商城订单提供增删商品功能
增加会员列表可以方便地查看联系方式
增加产品列表区块应该可以控制显示描述、分类名称
less文件不存在的时候能够自动生成
进一步优化性能
调整缓存目录
调整前台手册的样式
调整前台登录直接进用户中心
调整后台的模块设置菜单分组
调整订单的检索标签
调整手机端订单按钮显示
调整邮箱验证码的文案
调整后台检查最新版本的的请求改用jsonp格式
调整获得用户浏览器信息的代码
调整开启移动风格时，微信公众号菜单绑定链接相应的移动风格页面
调整在flash被禁用的情况下素材库的复制功能
调整区块css显示的时候应该判断lessc是否正常，如果css语法有错误时直接显示原始css
调整升级程序写权限操作应该判断版本
修复安装插件数据导入了两次
修复列表宽度统一处理一遍解决换行的问题
修复访问产品详情时添加导航高亮的问题
修复后台留言评论反馈弹窗出来的评论对象地址不对
修复商城订单列表留言的时候，重复记录了多条数据
修复删除手册章节或整书时相关索引没有被删除的问题

2016-10-11 5.4.1发布
修复支付宝即时到帐接口回调地址
单页产品等别名支持“-”
解决最新文章区块的置顶图标被日期遮挡问题
修复后台设计在移动模式下，文章管理中添加图片js错误
可视化编辑导航编辑没有获取到正确的导航数据
解决5.4不能自动识别移动端问题
修复删除论坛附件失败的bug
修复英文产品类目无法维护的bug

2016-09-30 5.4发布
升级到最新的zentaoPHP框架
调整主题导入导出功能，增加导入导出全部数据功能
增加订单过期处理功能
增加订单可以删除功能
增加类目区块是否默认展开选项
增加页面Canonical标签
增加系统升级时对CDN参数的处理
优化系统英文翻译
调整后台站点设置，将某些设置项调整到系统设置页面
优化后台列表样式
修复附件删除的问题
修复二级目录安装情况下，支付宝回调地址拼接错误的问题
修复已发货订单，后台可以改价的问题
修复手机版不能编辑个人信息和论坛发帖的问题
修复后台订单完成按钮不能点击的问题
修复二级名录安装时qq登录问题
修复手机模板下表单提交出错问题
修复移动端可视化编辑跟布局相关的错误

2016-07-14 5.3.4发布
优化前台登录和注册页面
优化后台菜单的样式，用文字代替图标
修复编辑区块时的加载过程页面抖动的问题
登录界面添加腾讯要求的QQ图标
调整模板编辑页面的样式
调整设计界面，突出切换桌面和移动的按钮
调整编辑区块的样式
修复开放登录只添加新浪微博，前台不显示的问题
优化运行信息显示逻辑
修复会员登录、退出头部缓存不刷新的问题

2016-06-24 5.3.3发布
修改留言评论区块为反馈区块
增加在反馈区块回复留言评论的时候将所回复或者讨论的内容列出来的功能
增加在反馈区块点击链接可以直接进行回复的功能
修改在反馈区块的右上角为留言，评论和回复的统计信息
增加后台首页可以添加微信留言区块
修复后台菜单在某些情况下菜单错误高亮
修复在某些情况下由于输出运行信息而产生的错误
修复可视化编辑全部页面头部，拖动排序出现多个头部的错误
调整后台论坛维护页面和首页区块的样式
增加页面左上角可以自定义内容
增加页眉可以自定义高度
增加登陆注册，语言切换与搜索框的位置可以自定义
修改购物车，搜索框的样式
去掉从前台的进入可视化编辑模式的链接
修改页面布局管理页面直接显示页面布局

2016-06-04 5.3.2发布
修复后台设置requestType的加载问题
调整requestType为跨语言
修复会员功能关闭后留言功能也不能使用的问题
修改发信设置将邮箱留空保存的提示内容
修复后台对洋葱登录配置参数的处理问题
修复留言模块获取客户端的ip的问题
修复文章编辑器添加的锚点在一定条件下会变成undedined的问题
修复后台首页评论留言区块不显示最新的未回复留言的问题
修复关闭商城模块后，登录用户依然会出现购物车的问题
修复可视化编辑删除区块、调整区块布局等功能失效的问题
去掉后台商城产品列表页面按类目排序的功能
修复GET访问方式下后台切换到英文内容管理无法访问前台界面的问题
修复二级目录安装蝉知，在PATH_INFO访问方式，英文首页js产生的请求拼接地址不对的问题
增加运行信息在前台显示的设置按钮
增加是否开启显示调试信息的后台设置选项

2016-05-25 5.3.1发布
修复侧边显示不正确问题
修复自动更新权限失败的问题
修复缓存文件存储了两份的问题
自定义css文件路径问题
检查下热门产品区块无法显示的问题
修复侧边所有区块删除后，无法自动隐藏的问题
修复后台内容预览在英文版中跳转到错误页面的问题
改进站点设置requestType
修复网站和博客英文版点击首页和Logo跳转到中文版网站的错误
改进产品图片列表中将图片设置为封面后的对应操作链接
修复手册和单页中英文不能命相同的别名
修复管理员用户前台没有可视化编辑按钮
修复最新产品区块选择分类不起作用
修改kindeditror语言文件的翻译错误
修复论坛审核显示的问题
修复管理员修改密码验证通过后保存提示身份认证过期的问题
修复代码管理搜索结果页设置代码不生效的问题
修复配置网站使用https协议时chrome浏览器不显示小锁
修改CDN设置时的提示
增加网站Logo的alt属性
改进投稿功能
调整评论的样式
调整蝉知动态区块的信息时间显示样式
增加PHP执行信息的展示
修复默认进入手册之后的位置不正确的问题
修复windows一键安装包的备份功能失效的问题
修复宽屏二级菜单打开状态时下拉标志消失的问题
修复PC宽屏主题网页缩小至导航折叠后，网站LOGO显示位置不正确的问题
修复前台可视化编辑，编辑区块插入地图，无法点击确定的问题
修复默认模板手机自适应，确认订单页面排版错乱的问题
增加data文件夹打包时默认添加index.html文件
修复可视化编辑区块设置不显示边框和标题，保存不生效的问题
修复后台左侧导航按钮关联的功能如果没有权限，整个菜单的功能都无法打开
修复编辑器不能上传flash文件的问题

2016-05-09 5.3发布
升级到zui新版本
优化程序逻辑
优化每个查询的SQL
实现缓存机制
可以在线直接修改模板文件
内置备份和还原程序
文章，单页，博客，产品，类目可以自己定义区块内容
图文区块增加图片的设置，是显示大图，还是小图
页眉增加自定义样式功能
可以批量重新生成缩略图
用户可以设置前台手册首页的展示方式
手册可以设置是否全屏展示
解决ie下面上传附件的问题
后台首页区块自定义功能
蝉知后台首页增加一个官网动态的区块
重构后台首页的messages消息的处理
页脚的footer各种链接的区块
优化布局页面的组织方式
单页的布局可以把头尾都去掉
单页可视化编辑无法将右侧的侧边布局去掉
优化下站点设置里面主域名和默认访问协议的提示和操作流程避免用户设置错误后无法访问
考虑将访问方式放在后台站点设置里面
幻灯按钮可以设置全局按钮不用每个幻灯都加 
slide增加自己的自定义class方便用户引用
幻灯片可以竖向的展开
论坛版块别名检查规则不能带减号
处理别名里面空格
导航条当前高亮和悬浮高亮的颜色要进行区分
搜索框在导航右侧时，搜索框的圆角调小一些，最小宽度设定一下
后台设置可以设置静态文件使用cdn镜像
精简蝉知前台使用的zui库
修改导出的钩子文件里面的方法名，不再关联主题code命名
参考禅道的需求，权限可以实时生效
留言增加手机号一项信息
代码提供nginx的配置文件
前台多语言切换的代码标签不要放到最开始
订单详情页面里面去掉详情的链接
自定义css文件应该分语言存储
跟踪下自定义代码被转义的问题
后台高级权限验证url跳转逻辑优化
邮件验证的时候应当提示用户邮件已经发送到哪个邮箱给用户反馈
流量统计的检索标签改用tab来显示
修复统计数据的错误
后台登录界面增加语言切换选项
后台积分规则里面惩罚积分文案提示修复

2016-03-15 5.2发布
调整主题相关文件的路径
调整主题市场界面
优化了后台标志设置界面
添加了导航区块
添加了logo、站点口号、搜索框、用户菜单区块
修复二级目录安装时可视化编辑404的bug
修改主题切换页面
调整统计菜单的顺序和名称
调整统计菜单的英文翻译
新增蝉知开放api接口
优化产品列表页面的样式
导航是雅黑字体时取消粗体
蝉知标志和版本的颜色保持一致
自动判断前台子导航的弹出位置
感谢页面的链接都新开窗口
梳理后台所有页面导航菜单和页面标题之间的对应关系
调整后台高亮标签的样式，改为整个标签都高亮
后台查看主题回帖的时候控制图片的显示宽度
统一处理重叠边框和阴影的问题
调整后台搜索用户时的样式
调整cdn输出的链接方式
梳理后台菜单高亮的问题
首页进去的主题和回帖只显示具体的内容，不再显示左侧的菜单。
调整内容菜单的顺序：文章，单页，博客，手册。
根据功能的设置，显示左侧的相应菜单
调整订单功能模块
公众号设置页面的微信会员链接可以考虑去掉
如果开启了移动风格，微信绑定链接相应的移动风格页面
后台会员菜单增加评论子菜单
会员列表页面不要换行
禁用用户增加永久选项
调整管理员登录日志功能
后台涉及到状态或者选项选择的，改用tab标签
积分规则页面展示方式和其他页面保持一致
调整前台会员中心页面的排版
新增手机版博客头部导航设置功能
统一产品详情页和文章详情页底部的位置
修复手机模板投稿页面两个报错
蝉知使用PATH_INFO2的时候登录界面的sina图标路径不对
修复英文可视化banner等添加内容失败的问题
后台语言切换时session里的权限自动刷新
修复非超级管理员用户登录后台，用户头像里的菜单无法打开的问题
修复与后台不打开评论留言模块，文章详情页，打印评论区块的问题 
修复手机模板，最新产品，布局的时候有没有选无边框都是没有边框的问题
修复产品详情页，不设置品牌，设置型号，前台不显示型号的问题
编辑产品自定义属性，在已有属性中间插入一个，保存后依然排在最后的bug
修复开放登录积分计算错误的问题
修复蝉知5.1，mobile 视图访问用户中心修改个人信息失败的问题
修复留言评论的分页功能
文章转移至论坛时，发布人取的默认值为真实姓名，该为account
修复未结算订单的支付链接错误
修复后台登录后选中导航错误的问题
蝉知5.1可视化编辑区块添加失败 banner
蝉知5.1产品 系统设置 弹窗内容包含了导航条
蝉知5.1 系统导航模块 点击联系我们 关于我们也会高亮
蝉知分页使用的是 SQL_CALC_FOUND_ROWS 实现分页，bch不支持，需要使用mysql_num_rows()函数
可视化编辑设置网站LOGO失效、设置页尾布局失败
布局添加的布局无法选择区块
用户中心投稿功能找不到
检查洋葱登录的问题。
检查然之官网开放登录的问题
优化了开放登录的显示界面。

2016-01-11 5.1发布
重新梳理后台的界面组织
实现布局方案管理功能，布局方案可以跨主题使用
增加前台页面的css和js设置功能
调整后台设计页面导航
前台用户中心菜单增加分组菜单
优化前台订单提交的流程
梳理管理权限的组织方式
支持第三方的cdn加载
jplayer内容的加载根据是否有视频内容来进行判断
调整后台管理员页面的布局样式
修改代码里面的ZPL版本为1.2
单页的标题样式调整：字体调小，和下面正文的间距缩小
检查过滤代码，清除无用的过滤代码
后台文章列表按照类目排序出错了，处理一下
修改安装程序，调整默认的权限和布局数据
将小图标设置和logo设置合成一个页面叫标志设置
导出主题功能调整，导出布局方案和页面css和js数据
导入主题功能调整
调整主题管理页面和主题市场页面

2015-12-16 5.0.1发布
提交订单没有选择产品时，订单数据不应保存
解决一直启用验证码，前台操作时验证码不显示
优化最新产品区块包含链接（a标签）嵌套链接的错误
修复积分代码的缺陷
在Banner里布局的区块，在前台可视化编辑里无法编辑
最新文章区块置顶按钮和显示时间那需要优化一下
优化订单总金额计算的误差
解决文章附件上传成功，保存成功按钮一直显示的问题
解决GET方式下语言切换失效
调整主题和回帖积分的显示位置
幻灯片区块自动计算高度有问题需要处理一下
优化手册，博客等其他页面的链接地址
后台查看主题回帖的时候，p标签的行间距没有处理
后台可以添加管理员
洋葱登录合并到开放登录中
后台登录判断referer是否有权限
梳理默认的后台管理员权限
解决主题自定义js无法保存问题
修复手机模板区块标题和边框无法隐藏的问题

2015-12-04 5.0发布
站点统计数据在当天比较早的时候（10点之前）显示昨天的数据
关键词来源，增加去掉百度和google的说明
修复统计报表的左侧菜单高亮，有些页面没有关联菜单
修复统计中来路域名的“页面”没有数据
去掉发布文章是的“转自文章”类型选项
修复可视化编辑过程中删除区块后，其他区块也会消失的Bug
调整访问统计报表的日期顺序，将昨日放在最左侧
去掉单页可视化编辑无法将右侧的侧边布局
修复可视化编辑模式，侧边和单页选中高亮时没有边框
我需要单页的排序功能，方便在单页列表中调整顺序
增加直接删除手册的功能
优化后台评论回复的那种展现形式
增加批量删除用户的功能
管理员后台可以直接对自己的邮箱进行验证，不需要登录前台
能够看到发信配置的具体错误信息，方便用户排查
优化模板的引用逻辑，方便扩展
后台在开始更新索引的时候，给出相应提示
修复更新全文检索索引的Bug
修复繁体的搜索问题，需要对搜索词和结果做转化
论坛全局置顶，只需要影响当前语言的排序
修复安装后进入后台时显示空白页
后台设置安全级别的时候，需要检查其他的登录方式是否可以
解决二级目录部署path_Info2模式时的内页404问题
解决订单确认界面价格计算时产生59.9999999的问题
修复蝉知统计查看最近30天的时候，只显示了昨天的数据
解决单页跳转链接无效的问题
梳理下默认的后台管理员权限的设置
调整后台首页的内容
重构guarder的垃圾检测算法
头部改用区块
账户设置安全问题
默认启用登录地区的检查
验证码的问题用户可以自定义
在模板选择页面，可以浏览模板和风格的商城，然后下载自动安装
导出风格的时候导出加密需要的素材
导出风格时导出加密风</span><span style="line-height:1.5;">格所需要的sql数据
添加支持加密主题的逻辑

2015-11-13 4.6发布
增加支付宝的担保交易接口
增强反恶意功能
实现基础风格，方便第三方的风格制作者来做风格
优化蝉知的性能
优化系统的sql查询次数
新增删除用户及其历史数据功能
提供新的URL访问方式/index.php/article-abc.html这种
前台禁止管理员帐号通过找回密码功能找回密码
多语言的链接导航默认增加/
产品的自定义参数也放在全文检索里面
文章的前台评论增加折叠显示
获取邮箱验证码的时候从交互上给予提示
调整移动模板的样式
幻灯分组的那种动态效果去掉
导出风格的时候过滤已经删除的图片不要导出
调整代码编辑器的样式
增加ip白名单设置
实现对恶意ip地址的惩罚屏蔽机制
屏蔽非正常的POST请求
可以设定基于用户或者ip的发贴频率
限定某个ip地址每天只能尝试找回密码多少次
如果某一个ip地址连续登录失败超过若干次，禁止若干时间内该ip的访问
实现基于ip的过滤机制
可以设定某个ip地址连续登录失败之后禁用的时间
为了安全期间，可以设置是否启用密码找回功能
将洋葱登录直接集成到代码中
模板代码里面增加禁止直接访问的代码
论坛发贴可以定义是否需要审核
审核留言、评论、主题回帖时可以选择加入黑名单
屏蔽有黑名单内容的主题、回复、留言和评论
禁止用户发表重复的信息
论坛发贴和回复页面自动修改变量名，防止被灌水
增加黑名单功能
加强验证码的随机程度
将captcha模块更改为guarder
优化非中文站点下面的url路径
2015-10-15 4.5.2发布
修复隐藏的SQL注入漏洞
修复统计功能bug
修复产品和文章图片重复上传的问题
修复中文简体复制到繁体时写数据bug

2015-10-09 4.5.1发布
修复安装sql里的product_order表名
修复安装时导入demo数据bug
调整订单确认界面备注项
前台非超级管理员显示编辑模式的问题
登录记录积分loadConfig('score')
开放登录注册新用户真实姓名默认为昵称
修复empty的参数不能直接调用一个方法的问题
修复移动端分页的问题

2015-09-25 4.5发布
实现前台可视化编辑功能
实现流量统计功能
增加会员积分功能
调整风格的实现方式，可以不用写less文件
精简自定义的时候生成的样式表文件
精简现在提供的风格的样式表文件
实现移动模板的延迟加载
制作一套扁平风格的主题模板
解决宽屏主题部分内容不足时页脚太高的问题
素材列表页面的地址在后面增加一个复制按钮，方便用户复制
清除所有的警告信息
文章发布到博客、博客功能
后台语言的选择放到左上角，蝉知后边
升级时计算老会员的积分
站点的功能模块添加积分模块开启关闭功能
把所有的数据表都改成小写
增加移动适配的代码
更新sitemap文件的代码
优化后台幻灯分组的维护按钮把编辑改为重命名，增加编辑按钮
高亮跟当前页面地址相同的导航
博客也可以单独设置导航
优化手机下面的视频显示
QQ登录回调地址同时支持pc和移动
梳理英文的翻译
后台的站点菜单里面的更新搜索索引改为全文检索
页面添加Canonical标签
设置原始访问日志保存的天数
记录访问日志时清除超过保存天数的原始访问日志
商品展示的时候如果标题过长的话，价格和浏览量被遮掩
添加幻灯并保存后不返回组页面
火狐英文后台幻灯片显示过宽看不到编辑、排序、删除等操作
手机端访问文章，视频没有自适应显示
去购物车结算，在跳转的登录页面输入帐号密码后，跳转为空白页
手机端访问蝉知网站首页，导航部分菜单和幻灯片不显示
首页区块布局区域支持通过拖拽排序
首页区块布局区域支持通过拖拽更改宽度设置
实现适用于可视化编辑的区块排序的控制器方法
实现文章详情页面可视化编辑的前台交互
实现产品详情页面可视化编辑的前台交互
实现单页详情页面支持编辑的前台交互
关于我们页面和公司介绍区块支持编辑公司信息
主题支持自动导入可缺省的custom.less文件来扩展主题样式
检查一下多个主题和手机模板下订单的备注功能是否正常
解决支付跳转被浏览器阻止的问题
产品列表的价格和显示次数换行显示不太好看，处理一下
解决一下弹出窗口ajaxform 出错的问题，可以看创建幻灯片分组
页面右上角的其他风格下面的登录注册按钮之间的间距调小一些,去掉最后一个间隔线
解决素材库上传同名文件的问题
调整file->download 方法记录附件下载次数
检查后台登录ip检查的逻辑
前台输出子布局时，同时输出子布局的编号
2015-08-31 4.4.1发布
优化手机版样式
用户可以设置是否启用移动模板功能
移动访问viewType改为mhtml
增加手机底部导航设置功能
导航打开方式提供当前窗口、新窗口、弹窗三种方式
英文版关键词分割处理
优化tree模块代码
添加幻灯片分组使用弹窗
幻灯片分组页面添加编辑和删除操作
添加幻灯片区块时名称显示分组名称
优化区块页面的样式
添加、编辑区块表单区块类型选择样式调整
修复类目区块从当前类目显示的问题
解决手机版的最新产品和热门产品区块每行显示数量无效的bug
首页关于我们的区块将字体改为13px
解决子区块导入导出的bug
解决导出主题时区块css丢失的问题
修复ZSITE云后台英语界面一直提示确认授权协议的问题
修改登录的时候出现的json代码的错误
修复编辑附件返回按钮不生效的问题
联系我们区块电话号码PC版去掉链接
修复后台设置不显示产品访问量无效的问题
修复添加锚点自动修改锚点代码的问题
修复后台切换语言保存数据出错的问题
处理后台发货和前台跟踪物流页面的地址数据显示
将order表的地址数据改用json格式存储，方便后期插件安装

2015-08-14 4.4发布
增加独立的手机模板
不同的主题风格可以设置不同的logo
logo针对移动屏幕提示用户上传的最佳尺寸
自定义主题增加自定义js功能
自定义样式背景图片的选择可以从素材库选择
调整素材库显示的界面
调整幻灯分组的维护页面
增加非内置模板删除的功能
调整区块的编辑和设计页面
前台输出区块的时候增加类型的class
后台区块编辑css、js、可以添加类名
前台输出区块自定义设置
调整区块列表页面的展示方式
实现产品的库存管理
调整分类的区块设置，可以设置从当前类目显示
区块增加类目或者版块显示简称功能
后台用户菜单里面增加感谢菜单和关于菜单
后台文章、博客、产品、单页、手册、论坛和回帖增加搜索功能
调整前台留言评论的显示样式
调整页面右上方的样式
站点的功能设置增加文章，产品模块
重新梳理开放登录之后的绑定用户的逻辑
解决GET方式下面QQ无法集成开放登录的问题
产品或者某个产品类目可以设置不予出售
前台判断是手机访问直接显示手机模板
修复产品没有价格和库存时，加入购物车结算会出错的问题

2015-07-17 4.3.beta发布
修改升级程序处理布局数据和区块数据
可以给不同的主题风格设置不同的布局
不同的主题使用不同的区块自定义样式
风格自定义添加CSS选项
升级程序添加logo数据处理功能
上传logo时可以选择适用于当前主题还是所有主题
调整后台界面菜单
实现风格的打包功能
实现风格的导入功能
可以删除已经导入的主题风格
上传幻灯的时候将幻灯片的图片放在www/data/slides目录下面
严格过滤自定义样式保存时候的的输入值
幻灯片的图片可以从素材库里面进行选择
幻灯片实现分组管理
实现素材图片管理功能
实现风格的导出功能
将货币设置和维护模块放在一起
调整基本安全设置页面的逻辑
调整ok.txt的逻辑
宽屏风格下面二维码的图标不要遮挡在幻灯片上面
梳理管理员身份验证的文案和样式
登录日志去掉指纹字段
调整文章，产品列表的操作按钮顺序
进入关键词设置，默认按照权重进行排序
可以设置移动二维码是否显示
产品是否显示点击次数放在界面设置里面
解决seo.class.php里面的问题
增加单页列表导航区块
解决最新版本火狐字体显示不正常的问题
网站小图标可以设置为不显示
站点增加默认访问协议的设置
调整没有权限错误提示页面的样式
可以设置网站前台只有登录帐号才可以访问
关于我们页面，如果没有侧边的话，全屏显示
梳理邮箱验证码的文案
重新梳理后台的管理菜单
提供默认的权限分组
后台首页的权限是管理员默认的权限
后台编辑用户为管理员的时候，可以选择分组权限
移动的二维码设置是否可以显示
产品浏览页面可以支持列表显示
加入购物车之后的交互提示修改，改为在页面中间提示
产品自定义属性如果是url地址的话，自动加链接
商城的加入购物车使用cookie
更改从商城和搜索合并过来的代码的授权信息
前台会员编辑个人信息页面原密码字段的样式和其他的对齐
大段留言的时候折叠显示
重构computeRealname($realnames)方法
lang->thread->color 相关语言项转移到common
类似$lang->site->recPerPage->article的命名比较晦涩重构一下
检查isauto 和 isopen相关代码
getSticks 用fetchGroup实现减少查询次数
地理位置命名应该用location用position不太合适
过滤视频代码重写
将修改邮箱的功能独立出来
安装完毕之后让用户选择是否导入demo数据
论坛帖子增加沙发和板凳的区别
增强对附件下载的支持
蝉知商品的点击次数的样式调整
ajaxForm返回的json如果有错误的话，把错误展示出来
调整后台php源码区块编辑时的逻辑
前台论坛删贴之后应当跳回之前的列表或者就是刷新当前的列表页面
去掉后台手册维护页面的图片链接
后台文章和产品的css,js编辑器提示用户不需要写<style>和<script>
后台用到的源代码编辑器功能进行调整
后台文章和产品列表页面操作按钮调整
图片设置为封面之后，应当还可以取消封面
后台增加缩略图大小的设置
重新梳理找回密码功能的逻辑
完善对表格的控制
创建slide表把slide数据从config表转移到slide表
2015-05-11 4.2.1发布
修复重建索引bug
完善安全设置选项
修复区块繁体语言项bug
修复域名不支持localhost bug
2015-05-08 4.2发布
合并商城功能到开源版
后台添加商城功能开关
合并搜索扩展程序到开源版
搜索支持三个字母单词的检索
全文检索插件修改升级程序，自动重建索引
繁体多语言增加设置是否从简体里面自动转换
管理员昵称增加一个多语言的昵称
后台站点增加一项安全设置，设置是否打开验证码、是否检查登录IP、是否校验登录地区
对敏感操作都启用验证码
后台增加登录ip的限制
加强对管理员登录地点的判断
增加对浏览器指纹的判断
记录管理员的登录日志
增加允许的域名系列，如果不在这个域名里面，则禁止响应
修改密码的时候需要重新输入当前的口令
判断站点code的时候转小写并对code做严格过滤
调整框架对敏感词过滤的机制
增强视频功能，前台支持用户直接上传视频文件和嵌入第三方视频网站的代码
增加更多的布局设置
首页产品区块可以设置换行数量
自定义区块可以设置填充
页脚的区块也可以设置宽度
联系我们区块，新增skype
增加全部页面的banner区块设置
文章和产品、博客、论坛等的列表显示数量可以配置
文章增加置顶的功能
后台关键词管理可以查看关键词的来源
设置主域名之后，后台不用跳转
后台会员功能一直开启
非简体语言icp设置增加说明
论坛主题可以指定颜色
产品的购买地址使用中间的域名跳转下
产品的点击数量可以设置是否显示
产品的图片去掉灰色的背景
一键安装包直接把蝉知放在首页
一键安装包更新ioncube的扩展
一键安装包增加zend optimizer的扩展
一键安装包不支持pathinfo方式
安装的时候数据库取消默认的参数设置
重新设计的404页面
源码编辑器支持下拉来调整可编辑区域高度
解决多语言下的一些bug
优化移动访问
解决添加类目时移动排序后保存，保存不进去的问题
解决模板设置自定义主题颜色输入框输入非合规的颜色值保存再次打开导致自定义表单不显示的问题
解决首页布局最新文章，显示图文，部分图片显示大图溢出的问题

2015-03-6 4.0.beta发布
添加多语言功能
修复了几个后台安全漏洞
框架增加对安全方面的过滤
网站设置主域名
修复单页附件不显示的bug
其他细节优化
2015-02-10 4.0发布
蝉知授权切换到ZPL1.2
插件授权协议范本增加ZPL
框架加强对用户输入参数的过滤
解决了插件安装过程中的一些问题
调整后台获得插件页面的样式
增加站点暂停状态提示的自定义功能
修改权限检查逻辑，如果没有权限的话，再尝试从权限列表中读取
注册页面增加快捷登录
优化手机访问页面样式
蝉知登录页面增加背景
使用TPL_ROOT代替模板里面的相对路径避免扩展里面引用时路径出错
强制360浏览器使用webkit模式
解决sitemap里面帖子链接错误的问题
解决产品自定义属性中第一个自定义属性保存不成功的问题
从不同类目下进入同一个产品，链接保持一致
解决布局在footer（不可见）的区块在博客页面直接显示的问题
解决宽屏模板布局在所有页面页尾的区块显示宽度不一致的问题
宽屏模板下显示返回顶部按钮
解决博客分类区块链接错误的问题
解决手册类型为文章时，上一篇下一篇文章链接不到类型为章节下的文章的问题
解决友情链接区块配置为无边框或者不显示标题没有生效的问题
论坛上部布局支持区块跨列
优化登录后跳转到原页面的问题
数据库名不能带'.'
留言评论关闭之后，不再存入到数据库中
文章、帖子里面如果没有附件的话，把附件的标签去掉
解决安装时候没有show database权限的问题
ZSITE云前台附件下载的时候显示原来的文件名

2014-12-25 3.3发布
解决后台js、css编辑，双引号被转义的问题
解决未自定义模板时logo显示不全的问题
解决“关于我们”页面，页尾添加的区块显示在错位的问题
解决手机访问文章，链接、图片、英文显示错位
解决手机访问蝉知网站，表情图标显示异常
解决谷歌/opera浏览器下，评论中的编码显示错误
后台编辑会员，左侧显示QQ会员，保存返回列表时左侧不显示QQ会员
修复蝉之格模板重置
解决网站logo长宽比例差太大，移动访问时logo会覆盖住菜单栏
修复默认、缤纷模版下，文章列表页面 图片显示大图不是缩略图bug
修复手机端查看图片比例失调问题
过滤站点描述字段中的代码
如果只有一个幻灯片的时候，隐藏左右的箭头
文章，单页等没有关键词时候，section, footer不再显示
微信集成的时候判断是否支持ssl
允许上传附件大小读取实际的大小
meta头信息增加placeholder
将每个主题的style,css合并到less文件中处理
留言的回复按照时间正序排序
类目描述编辑时记录图片的objectType和objectID字段
过滤pageid参数
调整按照类目浏览时的间距

2014-11-28 3.2发布
重构自定义主题功能，用php计算生成css文件
检查所有SERVER参数的iis兼容性
调整微信代码应对微信接口升级
调整后台登录页面样式
后台处理留言、评论、回复的时候，把留言或者评论的内容显示在回复框里面
货币设置功能重构
后台文章、产品列表按照类目进行检索的时候，相应的类目应当高亮
分页使用最新的分页样式
调整产品排序字段的逻辑
手册文章的悬浮样式去掉
调整后台站点关键词页面的样式，搜索放在表头里面，支持模糊检索
如果没有设置微信的话，后台的会员里面不要显示微信会员标签
幻灯片编辑页面样式调整
布局的宽度增加1/6和5/6
产品详情上面的缩略图，如果只有一个的话，就不要下面的缩略图了
前台上传附件的时候提示用户附件的大小
论坛从编辑器上传的图片不在附件里显示
调整通过附件上传图片和编辑器上传图片的逻辑
调整类目维护的移动按钮和前面的添加删除按钮之间的间距
后台会员增加管理员选项，方便检索
添加最新博文，最新发贴的区块
调整手册文章详情页面正文和简介之间的间距
产品详情下面不显示图片附件
风格的自定义按钮的样式
升级的时候要保证之前自定义的样式代码不要被覆盖
调整前台留言和评论的样式
自定义风格保存文件的时候应当检查是否有权限
后台上传模板和插件的时候，增加安全方面的限制
模板代码整理，减少冗余
解决两个安全漏洞
列与列之间的间距缩小
蝉憩风格的配色调整
蝉知标记的样式调整
调整ie8下面的文字幻灯片和左侧箭头的间距
编辑器里面敲tab键能够跳出来
跳转的类目、文章去掉简介字段
后台站点设置增加一个meta标签设置选项
编辑器插入的代码设置高亮
ace编辑器精简用不到的文件
文章详情页面的图片加一个边框
可以将整个网站关闭
文章详情页面的列表前后的margin设置一下，和之前之后的内容做一定的区分
文章列表页面的评论如果为零的话，就不显示了
将文章和产品的类目直接和文章列表合并在一起

2014-10-11 3.0.2发布
安全漏洞修复
修复后台附件管理页面bug
修复产品评论功能bug
调整前台蝉知logo样式
后台附件上传页面修改
后台图片、附件管理页面修改
后台幻灯片编辑页面样式调整
后台产品添加和编辑页面的修改
缤纷主题区块更多颜色优化
蝉憩主题产品详情的属性字段颜色优化
解决蝉憩主题区块鼠标悬浮左上角和右上角边框出现间断的问题
蝉憩主题网站头部样式优化
蝉之格主题论坛的边框调整
蝉之格主题区块悬浮之后样式优化
蝉之格主题头部的间距缩小
蝉之树主题手册列表页面的手册高亮的样式调优
蝉之树主题帖子详情页面的时间的颜色
蝉之树主题文章列表的背景色，还有鼠标悬浮的颜色调优
蝉之树主题文章详情页面的样式
宽屏主题文章查看页面摘要和下面的间距缩小
蓝色主题区块标题栏样式优化
蓝色主题手册高亮的样式优化
面包屑下间距缩小
清泉主题论坛的边框优化
解决清泉主题首页的这两个区块的边框不清晰，鼠标悬浮之后更不清晰问题
清泉主题头部的间距优化
清泉主题文章详情页面的样式要调整
文章，产品，帖子的跳转和下面的扩展名对齐

2014-10-08 3.0.1发布
优化静态资源减少生产环境下css和js请求
优化留言页面样式
后台管理留言、评论时显示回复内容
修复部分自定义选项无法生效的bug
修复3.0部分图标无法显示的bug
其他bug修复

2014-09-25 3.0发布
每套风格都支持样式自定义
样式自定义选项细分
区块支持跨行
产品增加排序功能
整理一键安装包
调整各个模板风格的细节问题
区块的自定义应当能够可视，不是被隐藏在后面
类目和论坛版块支持排序
解决别名中文路径无法识别的问题
control.class.php 支持用户的扩展，方便用户使用自己的模板引擎
后台的菜单导航管理页面优化
菜单子导航编辑找不到入口，把折叠展开图标变得明显些
上传附件的扩展名统一用小写
整理附件上传白名单 + 黑名单
列表取消缩进，嵌套的列表第二层有缩进，包括前台的展示
文章列表的评论数量不包括没有通过审核的
文章增加样式和js字段，可以让用户直接写样式表和js代码
前台的留言多个回复之间缩小间距
前台登录之后，发表者评论时，缩小接收邮件提醒按钮的间距，留言时候添加是否接受邮件提醒的按钮
论坛帖子的管理链接直接显示
ZSITE云网站和博客网站ico图标不同步
调整firefox下small标签样式
解决编辑器里面内容插入php代码无法编辑的问题
解决编辑器内容添加样式表无法编辑的问题
QQ登录重复的问题
QQ窗口的链接改为新开链接
安装的时候增加对版权提示的声明

2014-09-02 2.5.3发布
后台的留言评论页面样式调整
修改隐藏帖子时候的交互提示
留言或者评论的回复，头像和内容之间增加空格
前台是否允许上传附件做成配置
附件上传黑名单功能增强
后台模式，不使用puifier
关闭json格式的调用

2014-08-21 2.5.2发布
新增防xss跨站攻击功能
优化后台区块管理操作
修复字段的sql注入漏洞
修复产品数据结构bug
修复繁体版安装失败bug
修复论坛帖子隐藏显示bug

2014-08-18 2.5.1发布
文章详情页面最后编辑放在页尾
调整了后台区块设置颜色的界面
二维码图片设置默认的宽度和高度
调整错误提示的样式
模板的作者改成蝉知官方
处理留言和回复的时候，把留言或者评论的内容显示在回复框里面
修复开放登录的图新
手册文章的评论没有显示手册的文章
调整php源码区块的样式
zui里面的弹出框里面的"好的"改为"确定"
布局页面的操作统一改为按钮
跳转页面需要加placeholder，提示用户输入链接
关注我们改为区块实现，样式调整
检查ie11下面的兼容性问题
php源码的ok文件提示不要放在文本框架里面
全局样式菜单直接改成全局样式增加代码高亮
如果站点类型是博客的话，把网站首页的链接去掉可以支持小图标
产品的摘要改为简介
类目管理放到类目的最下面
类目维护后面增加x按钮，可以删除
调整论坛帖子转移的逻辑
调整上传模板页面的的样式
源代码区块改为html源代码，设置选项，直接语法高亮
新闻，产品列表的删除放在最后面
把IE6提示代码放到js里加载，同时简化提示内容
修复火狐下面导航错位问题
后台文章管理模块，左边栏 类目浏览 如果文章类目过多会被遮盖，且无法向下滚动
后台删除留言时弹出的动态效果去掉

2014-08-05 2.5 beta 发布
实现模板和主题风格的概念;
将前台的模板文件独立出来;
实现模板的导入功能;
模板体系可以定义支持的区块和布局列表;
增加插件管理机制;
后台布局的区块、导航、手册等列表页面的排序改为拖动排序;
增加php源代码区块;
源代码区块增加代码编辑器;
区块增加更多颜色的配置;
自定义区块也要支持更多链接;
公司简介区块还原更多链接;
留言、评论支持回复功能;
留言、评论列表显示所有回复;
发表评论的时候可以选择是否接收邮件通知;
评论被回复的时候，发送邮件通知评论作者;
后台留言和评论通过之后也可以删除;
设置产品的价格货币单位使用符号;
调整没有任何参数的产品的详情页面;
产品简介添加编辑器;
用户可以直接定义一个全局的样式;
调整手机版本下面幻灯的显示样式;
登录注册的代码不应当出现在文档开始的地方;
编辑手册的时候，记住当时点击的锚点;
将文章详情页面底部的空白标签去掉;
重构弹窗代码;
博客、论坛、手册功能关闭的时候，站点地图不显示这些模块;
重新调整论坛的主题转移功能;
类目维护页面增加添加按钮，可以新增一个类目框;
类目可以是一个链接，当浏览该类目时，跳转到其他的链接地址;
文章可以是一个链接，当浏览该文章时自动跳转;
主题可以是一个链接，当浏览主题的时候自动跳转;
后台的主题、帖子、留言的删除改用zui里面的对话框;
各个非空检查拿出来放在配置文件中;
修改ie6的检查提示方式;
二维码只有打开的时候再请求;
打一个all.ie9.js,把placeholder打进去;
图片浏览只能后台才可以使用,前台不能使用;
日志文件增加.php扩展名;
附件目录、system目录每个都创建空白的index.php文件;
升级的时候去掉ok文件的检查;
手册文章显示最后更新时间;
后台的文章，博客，产品列表增加图片链接;
调整帖子详情附件上传的表单样式;
调整后台的文章，博客，产品等模块点开的附件上传表单修改样式;
升级到2.5的时候，将之前的日志文件删除掉;
备案信息增加链接;
幻灯的链接应当指定是否是新开窗口;
博客没有显示小图标;
调整ie11下载附件的逻辑;
后台的用户检索可以模糊检索;
公司联系方式增加公司网址;
处理QQ登录相关报错;

2014-06-25 2.4发布
产品详情的相册缩略图鼠标改为手型
后台博客列表增加按照类目浏览功能
后台产品列表增加按照类目浏览功能
后台文章列表增加按照类目浏览功能
蝉知在新版本的火狐下面导航展开不对
调产品详情页面的封面图片的大小
产品显示点击量字段
论坛版块描述支持标签
修复删除第一个链接按钮保存bug
升级的时候处理站点类型，如果为空的话，设成portal
面包屑里面的类目应当显示别名
树状列表的图标没有了
调整对话框的默认样式
区块增加更多链接
修改保存区块的逻辑
调整文章的来源字段
修改打包脚本，把ie8相关的js脚本打包成一个ie8.js
修改打包脚本，将treeview.js和treeview.css打包到all.css和all.js中
将前台每个列表页面默认记录数做成配置
附件列表不再显示编辑器上传的图片
回复页面的头像主题修改
去掉论坛主题里面p标记的margin
调整蝉知系统默认的字体大小
幻灯按钮可以设置通用的不用每个幻灯都加 
页面布局的时候全部页面，修改区域名称
zui里面去掉p标记的margin
修复区块设置中图标显示不全bug
减少了布局中列与列之间的间距
导航设置默认折叠起来
版块编辑器增加源代码标签
版块的描述字段长度调成text类型
版主判断身份的时候首尾加逗号
文章的来源显示调整
编辑器上传附件使用现有的图片时，需要处理缩略图
调整前台首页友情链接的样式
留言和评论提示需要审核之后才会通过
幻灯功能2.3版本调整
重新梳理蝉知的演示站点
通过之前评论时，留言也会被通过
通过之前或者删除之前的留言评论，需要增加时间限制
后台删除主题或者回帖的时候要给予确认
前台主题的维护选项增加转移功能
检查www.docker.org.cn网站的QQ接入的问题
增加logo删除功能
调整论坛发贴页面验证码的样式

2014-05-16 2.3发布
博客页面添加应当增加对所有页面区块的支持
解决文章详情页面微博推广按钮不删除验证代码就不能显示问题
解决宽屏主题登录注册按钮不显示问题
解决部署在二级目录时微信的接入地址的bug
解决后台的用户列表中重复显示的bug
修复新浪会员链接
单页可以控制页面的布局
优化时间显示，去除00:00的显示
文章的来源增加翻译选项
二维码的图片缩小了一些
后台设置开放登录的图标用亮色的
删除zepto.js文件
调整蝉知默认的字体的大小
留言的图标采用亮色的
增加检查更新的功能
安装升级界面添加蝉知协议
版块设置别名的时候应当检查是否是以下划线或者字母开头
论坛后台的回帖链接应当新开页面
个人中心我的主题里面，最新回帖显示真实姓名
论坛发贴的时候，判断所属版块是否存在且可读
论坛版块列表页面的版主显示真实姓名
管理员或者版主身份在前台显示的时候应当给予标识
论坛增加帖子转移功能
后台单独增加一个首页关键词的设置
升级程序需要处理之前的站点描述信息，将html标签去掉
产品购买链接新窗口打开
提供了iis下面的重写规则
头部区域的logo，站点口号，登录注册也用区块显示
整理英语下面的翻译
首页布局调整，使之能显示最新产品
编辑器里面的图片库，文件库可以从我们附件表里面选择
对于禁用的会员，希望后台可以增加解除禁用功能
公司简介区块更多链接放在标题右侧
文章列表显示的条目数可自己设置
站点增加类型设置，可以选择企业门户或者个人门户
幻灯文字和图片给予提示
幻灯可以有多个按钮
每一个幻灯都可以指定文字的颜色和背景色
幻灯可以使用纯色来实现
实现产品自定义属性功能
解决一键安装包qq开放登录的问题

2014-03-31 2.2.1发布
调整评论页面的文案
联系我们页面增加二维码展示 
密码错误触发锁定次数增加到5次，禁用时间缩短到3分钟
后台留言列表页面的评论添加所属博客的链接
会员管理页面添加微博和qq会员的显示
修改在线QQ的连接
把oauth类的get方法去掉file_get_contents方式，只用CURL方式
解决php magic_quotes_gpc 打开时中文内容存储失败的bug

2014-03-24 2.2发布
后台设置logo页面调整
论坛帖子用户信息调整
调整反馈，将留言、评论、主题、回帖，将其集中在一起
添加微信公众号接入功能
添加公众号会员查看功能
添加公众号消息管理功能
添加公众号菜单、关键字、订阅回复、默认回复的管理功能
新增宽屏主题
前台添加微信公众号和手机访问二维码显示
禁止百度自动转码

2014-03-03 2.1发布
如果公司没有写创建年份的话，去掉copyright里面的-号
调整联系我们区块左侧文字的宽度
论坛帖子最后编辑者改为真实姓名
关于我们页面使用区块把联系我们放在右侧
批量维护手册章节的时候添加发布时间
编辑手册文章的时候增加发布时间的字段
重新调整h1-h6标签的字体大小
解决置顶帖子用户姓名问题
修改版权提示的格式
修复分页的bug
幻灯排序在ie10下面有问题
修复ie10下面蓝色风格的问题
图文新闻和图文产品样式需要重新调整下
首页的新闻列表应当显示日期
精简文章详情页面的上一篇下一篇的导航文字
调整p标签的margin
调整留言页面回复内容的缩进和字体大小
调整默认风格留言页面的导航颜色
优化移动版本头尾的处理
解决切换方案之后缩进问题
已登录用户发表评论和留言的时候，应当取其真实姓名
管理员身份回帖的时候应当使用全编辑器
论坛帖子发贴框的宽度调整把只读放在后面
调整论坛列表页面各列的宽度
以管理员身份发表评论或者留言，默认状态为通过
后台管理员回复一篇评论或留言之后，默认将其状态改为通过
修改邮箱默认配置，将腾讯邮箱默认改为465
如果发贴用户已被删除，帖子列表页面的最后回复取用户名
论坛出现版主的地方也都显示真实姓名
将user模块的getRealName()方法改为getRealNamePairs()
把style:width的写法换掉
单页在站点地图里面
调整模拟的alert和confirm框的样式
记录图片附件的尺寸，输出的时候写入到data-width data-hegiht标签里面
论坛的用户注册和登录日期显示友好信息
论坛帖子列表的时候显示用户的真实姓名
页面布局的时候可以设置区块是否显示标题、边框
留言者要区分是否是登录用户
论坛的板块设置提示需要二级板块
调整下区块首页底部的命名，改为中部
调整文章，产品无类目时的交互方式
重置密码功能把resetKey，resetTime合成一个字段
论坛控制图片大小

2014-01-11 2.0.1发布
博客列表应该显示文章的作者，评论数，阅读数
论坛帖子列表页面显示版主和最后回复realname
后台管理员allowtags增加style
解决ie9验证码显示BUg
自定义区块直接显示标题和边框
返回顶部按钮样式调整
编辑手册文章时候编辑器要放大
友情链接功能编辑器使用full菜单
区块里面的页面也改成单页
描述里面的内容被specialchars处理了，升级之后需要处理这个数据
别名里面的.也被换成了-
后台文章列表时类目宽度调宽，可以显示两个类目的宽度
文章里面的h4标题太大了调整h标签的大小
文章详情和摘要之间的间距有些太大啦
编辑器里面标签的换行符去掉
编辑器里面p标记的的间距去掉前台的p标记的样式也都去掉
文章图片幻灯切换的箭头去掉背景的阴影
ie8下面的幻灯文字尺寸位置不对点击切换按钮的那个虚线去掉
博客列表图片大小限制
文章列表里面的图片宽度和高度控制下
论坛控制图片大小
后台公司联系方式增加联系人字段
重置密码功能把resetKey，resetTime合成一个字段
解决二级路径安装的访问问题
站点描述不应该使用富文本编辑器
验证码如果数字为0的时候，还是验证不通过
将导航条里面订阅移至右侧，放在区块里面，默认显示
区块列表里面的最新产品标题和价格应当换行
产品列表的分页导航应当显示精简的记录
sitemap里面去掉CDATA，&替换成&amp;
蓝色风格下面首页最新动态，最新文章的更多看不到了
文章，博客，单页，产品里面的关键词链接颜色去掉
为蝉知org网站配置发信参数
测试发信如果管理员没有设置邮箱的话，没有测试发信功能
logo提示尺寸
分享按钮样式对齐
reset邮件内容挪到模板里面
修复编辑文章时候发布时间变成编辑时间的bug
优化附件图片幻灯片获取图片尺寸功能
修改首页title规则

2014-01-01 2.0发布

UI框架从Bootstrap转到ZUI
新增单页、论坛、留言、博客区块管理功能
解决了导航、评论等功能的bug
UI改进

2013-13-14 1.8发布

添加留言功能
添加文章草稿功能
添加favicon管理功能
添加源代码区块功能
非编辑器表单提交内容自动过滤HTML
添加附件编辑功能
重构手册模块
重构论坛相关程序
UI改进

2013-11-22 1.7发布

添加区块功能
添加修改后台默认地址提示
添加favicon管理功能
添加产品购买链接
添加图片压缩功能
添加功能模块管理功能
编辑器上传图片保存到附件表
UI改进


2013-11-03 1.6发布

添加站点地图功能
添加关键词权重和链接管理功能
新增内容关键词自动添加链接功能
添加友情链接功能
修复帮助文档章节号显示错误
文章、产品展示页面添加上一条下一条链接
UI改进

2013-10-21 1.5发布

改进了url规则，访问更加友好
改进了浏览器的兼容性
新增第三方登录功能
添加了风格主题切换功能，新增四套风格主题
UI改进

2013-09-29 1.4发布

主菜单、登录、注册、博客等页面调整
添加了英文版和繁体版的语言翻译，现在英文版浏览器访问即可显示英文版界面
新增扩展体系，蝉知的扩展体系能全面的定制系统的功能，不仅局限在模板样式的的定制稍候会发布蝉知定制说明文档
修改后台帮助功能，优化了帮助的管理功能，比之前更清晰方便
修改了子文件夹方式安装系统，logo不能上传的bug.
调整了编辑器的显示样式，默认字体调成跟前台一致的14px，减少源代码模式下的缩进

2013-09-16 1.3发布

调整了系统目录结构 
新增帮助模块 
新增博客模块 
导航添加打开窗口设置功能 
首页添加产品信息展示 
修复一些bug 
改了一些UI

2013-08-27 1.2 发布

新增产品功能 
bootstrap 升级到3.0 
修复会员资料编辑不能修改密码bug 
修复后台导航管理模块不显示二级导航bug 
控制了论坛图片的最大宽度，避免页面变形 
添加和编辑文章前添加了类目验证

2013-08-16 1.1 发布
UI

  调整了系统UI

文章

  添加了文章附件管理
  添加了文章评论功能
  优化了发布和编辑功能
  提供了主图片设置和显示功能

论坛

  添加了发贴、回帖、置顶、取消置顶功能

会员

  添加了登录、注册、编辑资料、我的主题、我的回复、我的消息

系统

  添加了系统升级功能

站点

  添加了导航管理功能
  添加了首页幻灯片管理和显示

2013-07-08 1.0 beta 发布
/**
 *  
 */
